---
title: "Retrieve a deliverable"
description: "Retrieve a deliverable by id to check its status and, once it is generated, get a fresh download URL for the signed PDF."
canonical: "https://signatureapi.com/docs/api/resources/deliverables/get"
source: "https://signatureapi.com/docs/api/resources/deliverables/get.md"
last_verified_api_version: "1.18.0"
last_modified: "2026-11-18T12:10:02Z"
---

# Retrieve a deliverable

Retrieve a deliverable by id to check its status and, once it is generated, get a fresh download URL for the signed PDF.

_Last verified against API version 1.18.0._

Retrieves the details of a deliverable, including its current status and download URL.

The `url` is `null` until the deliverable `status` is `generated`. See the [deliverable lifecycle](https://signatureapi.com/docs/api/resources/deliverables/lifecycle). When it is `generated`, the response includes a `url` property with a download link. By default, this is a pre-signed URL that expires after 1 hour. Call this endpoint again to get a fresh URL if the previous one has expired.

### Path Parameters

#### `deliverable_id` (string, path, required)

The unique identifier for this deliverable.

### Returns

Returns a `200 OK` status code along with [a deliverable object](https://signatureapi.com/docs/api/resources/deliverables/object) if successful, or an [error](https://signatureapi.com/docs/api/errors) otherwise. A `404` means the deliverable does not exist.

### Example: Standard

```http
GET /v1/deliverables/del_6FF89lKNyTNamOJCJd1tLL HTTP/1.1
Host: api.signatureapi.com
X-API-Key: YOUR_API_KEY
```

Response 200 OK:

```json
{
  "id": "del_6FF89lKNyTNamOJCJd1tLL",
  "name": null,
  "envelope_id": "eb4cf433-a8af-4161-b37b-7ef57d423e56",
  "type": "standard",
  "status": "generated",
  "url": "https://vault.signatureapi.com/envelopes/eb4cf433-a8af-4161-b37b-7ef57d423e56/deliverables/del_6FF89lKNyTNamOJCJd1tLL.pdf?signature=9c4e1f7a2b",
  "language": "en",
  "timezone": "America/New_York",
  "timestamp_format": "MM/DD/YYYY HH:mm:ss",
  "included_documents": [
    "service_agreement",
    "mutual_nda"
  ],
  "password": null,
  "created_at": "2026-11-02T15:21:41.000Z",
  "generated_at": "2026-11-02T15:21:46.000Z"
}
```

Response 404 Not Found:

```json
{
  "type": "https://signatureapi.com/docs/v1/errors/not-found",
  "title": "Not Found",
  "status": 404,
  "detail": "Could not find Deliverable del_6FF89lKNyTNamOJCJd1tLL."
}
```

Errors that any request can return (authentication, rate limits, server errors) are on the [Errors](https://signatureapi.com/docs/api/errors) and [Authentication](https://signatureapi.com/docs/api/authentication) pages.
